#include <stdlib.h>
#include "SoolBBang.h"

SoolBBang::SoolBBang(char *name)
	: MuckBBang(name)
{
	nBeer = 0;
	ccNoranmool = 0.0;
}

SoolBBang::~SoolBBang(void)
{
}

void SoolBBang::eatAppetizer()
{
	MuckBBang::eatAppetizer();
	nBeer = nBeer + 10; 
	printf("에피타이저로 맥주 열잔 하고, ");
}

void SoolBBang::eatEntree(int n)
{
	int r = (int)rand();
	r = r % 1000;
	double x = r / 2.0;
	printf("본격적으로 노란물을 %.1fcc 마신 후, ",x);
	ccNoranmool = ccNoranmool + x;
}

int SoolBBang::howManyDoYouWant()
{
	// 미친쇄희... 1000잔이나 달라고...
	return 1000;
}

void SoolBBang::digest()
{
	printf("%s는 오바이트하면서 소화를 시킵니다.\n",id);
	addWeight(-300);
}

void SoolBBang::print()
{
	printf("술빵인 %s는 몸무게가 %d그램이고 맥주를 %d잔, 노란물을 %.1fcc 먹었읍니다.\n",id,weight,nBeer,ccNoranmool);
}